/***************************************************************************
                          formatconversion.h  -  description
                             -------------------
    begin                : Sat Dec 1 2001
    copyright            : (C) 2001 by Richard Groult
    email                : rgroult@jalix.org 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __FORMATCONVERSION_H__
#define __FORMATCONVERSION_H__

#include <qvariant.h>

#include <kapplication.h>
#include <klocale.h>
#include <kdialog.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QCheckBox;
class QComboBox;
class QGroupBox;
class QLabel;
class QListView;
class QListViewItem;
class QPushButton;

class FormatConversion : public KDialog
{ 
	Q_OBJECT

public:
	FormatConversion( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
	~FormatConversion();

	QString getOptions();
	QString getType();
	bool replace();
    
private:
	QString options;    

protected:
    QVBoxLayout* FormatConversionLayout;
    QVBoxLayout* GroupBox1Layout;
    QHBoxLayout* layout8;
    QVBoxLayout* layout2;
    QHBoxLayout* layout6;
    QHBoxLayout* layout3;

    QGroupBox* GroupBox1;
    QListView* listViewFormat;
    QPushButton* pushButtonSetting;
    QCheckBox* CheckBox1;
    QPushButton* pushButtonOK;
    QPushButton* pushButtonCancel;


public slots:
	virtual void enabledDisabledSettingButton(QListViewItem*);
	void showJPGOption();
};
#endif // FORMATCONVERSION_H
