/***************************************************************************
                          imagefileiconitem.h  -  description
                             -------------------
    begin                : Sat Dec 1 2001
    copyright            : (C) 2001 by Richard Groult, 2003 OGINO Tomonori
    email                : rgroult@jalix.org ogino@nn.iij4u.or.jp
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef IMAGEFILE_H
#define IMAGEFILE_H

#include "fileiconitem.h"

class Directory;
class ImageListView;
class ImageViewer;

class QListView;

class ImageFileIconItem:public FileIconItem
{
public:
	ImageFileIconItem (ImageListView * parent, 
				Directory * parentDir,
				QString filename,
				QString path,
				ImageViewer *iv,
				QString description="");
		       
	virtual ~ImageFileIconItem();

	virtual void setText(const QString & text ); 
	virtual QString text (int column=0) const;
	virtual QString toolTipStr() const;

	virtual bool suppression();
	virtual bool suppression(bool suprFile);
	virtual bool moveToTrash();
	virtual bool shred();

	int nbrImg;
	bool doPreload;

protected:
	Directory *parentDir;

	QString shrink(QString str, int len=20)const;

private:
	bool readable;
	bool selected;
};


#endif
